import jingrow


def execute():
	jingrow.reload_pg("core", "pagetype", "pagefield", force=True)
	jingrow.reload_pg("custom", "pagetype", "custom_field", force=True)
	jingrow.reload_pg("custom", "pagetype", "customize_form_field", force=True)
	jingrow.reload_pg("custom", "pagetype", "property_setter", force=True)

	jingrow.db.sql(
		"""
		update `tabPageField`
		set fetch_from = options, options=''
		where options like '%.%' and (fetch_from is NULL OR fetch_from='')
 		and fieldtype in ('Data', 'Read Only', 'Text', 'Small Text', 'Text Editor', 'Code', 'Link', 'Check')
 		and fieldname!='naming_series'
	"""
	)

	jingrow.db.sql(
		"""
		update `tabCustom Field`
		set fetch_from = options, options=''
		where options like '%.%' and (fetch_from is NULL OR fetch_from='')
 		and fieldtype in ('Data', 'Read Only', 'Text', 'Small Text', 'Text Editor', 'Code', 'Link', 'Check')
 		and fieldname!='naming_series'
	"""
	)

	jingrow.db.sql(
		"""
		update `tabProperty Setter`
		set property="fetch_from", name=concat(pg_type, '-', field_name, '-', property)
		where property="options" and value like '%.%'
		and property_type in ('Data', 'Read Only', 'Text', 'Small Text', 'Text Editor', 'Code', 'Link', 'Check')
		and field_name!='naming_series'
	"""
	)
